//= require ./Control.js
//= require ../jquery/pager.js

AppKit.Pager = AppKit.Control.extend({
    classID: 'appkit-pager',
    options: {
        pageCount: 1,
        tabindex: -1
    },
    initialize: function (options) {
        this.$el.pager();
        this._super(options);
    },
    selectedPage: function (aNumber) {

        if (this.$el.pager('instance')) {
            if (_.isNumber(aNumber)) {
                this.$el.pager('setSelectedPage', aNumber);
            }

            var sp = this.$el.pager('getSelectedPage');
            if (_.isNumber(sp)) {
                return sp;
            }
        }


        return undefined;
    },
    pageCount: function (aNumber) {

        if (this.$el.pager('instance')) {
            if (_.isNumber(aNumber)) {


                this.$el.pager('option', 'pageCount', aNumber);
            }

            return this.$el.pager('option', 'pageCount');
        }

        return 0;

    }
});


