class UrlMappings {

    static mappings = {
        "/Community"(controller: "authenticate", action: "community")

        "/"(controller: "authenticate", action: "login")

        /** fix for oracle weblogic 10.3.4 **/
        "/index.gsp"(controller: "authenticate", action: "login")

        "/$controller/$action?/$id?(.$format)?" {
            constraints {
                // apply constraints here
            }
        }

        "403"(view: '/sslError')

        "500"(view: '/error')
    }
}
