<div id="btgWindowSensitiveRecord" class="appkit-dialog jlv-break-the-glass"
     data-title="DoD Sensitive Record"
     data-width="625"
     data-height="445"
     data-resizable="true"
     data-modal="true"
     data-outlet="JLV.BreakTheGlass.SensitiveRecordController.dialog"
     data-delegate="JLV.BreakTheGlass.SensitiveRecordController"
     data-visible="false">

    <div class="icon-alert-warning big-warning"></div>

    <div>
        <h4>This record is marked sensitive and should only be viewed if necessary, as per the HIPAA principle of minimum use.<br/>Select an authorized purpose for accessing this record.
        </h4>

        <form>
            <input type="radio" data-label="Emergent Care" id="btgEmergentCareRadioBtn"
                   name="btgAuthPurposeRadioGrpSensRec" checked value="1"/>
            <label for="btgEmergentCareRadioBtn">Emergent Care</label> <br/>
            <input type="radio" data-label="Clinical Care" id="btgClinCareRadioBtn" name="btgAuthPurposeRadioGrpSensRec"
                   value="2"/>
            <label for="btgClinCareRadioBtn">Clinical Care</label><br/>

            <input type="radio" data-label="Authorized Administrative Use" id="btgAuthAdminUseRadioBtn"
                   name="btgAuthPurposeRadioGrpSensRec" value="3"/>
            <label for="btgAuthAdminUseRadioBtn">Authorized Administrative Use<br/><span id="btgAuthLabelSpan">i.e. claim processing</span></label>

        </form> <br/>

        <div style="margin:15px;">
            You have requested to view sensitive data. This usage is subject to audit. Do you wish to proceed?

        </div>

        <table>
            <tr><td>Organization:</td> <td class="btgOrgTxt"></td></tr>
            <tr><td>Username:</td> <td class="btgProvNameTxt"></td></tr>
            <tr><td>Date/Time:</td> <td class="btgDateTxt"></td></tr>
            <tr><td>IP Address:</td> <td class="btgIPTxt"></td></tr>
        </table>

    </div>

    <div class="appkit-button cancel-btn"
         data-action="JLV.BreakTheGlass.SensitiveRecordController.close"
         data-type="primary">Cancel</div>

    <div class="appkit-button ok-btn"
         data-action="JLV.BreakTheGlass.SensitiveRecordController.agree">Agree to be Audited & Access this Sensitive Record</div>


</div>