import grails.util.Environment
import grails.util.Holders
import org.apache.catalina.connector.Connector

eventConfigureTomcat  = { org.apache.catalina.startup.Tomcat tomcat ->

        if (Environment.getCurrent() == Environment.DEVELOPMENT) {
            println "Attempting to start SSL listener"
            def keystoreFile = "/certs/app26pp.jks"
            def keystorePass = "changeit"
            def truststoreFile = "/certs/cacerts_nc.jks"
            def truststorePass = "changeit"

            def connector = new Connector("org.apache.coyote.http11.Http11NioProtocol")
            connector.PORT       
            connector.protocol = "org.apache.coyote.http11.Http11NioProtocol"
            connector.setProperty("maxSpareThreads", "75")
            connector.setProperty("minSpareThreads", "5")
            connector.setProperty("SSLEnabled", "true")
            connector.setProperty("scheme", "https")
            connector.setProperty("secure", "true")
            connector.setProperty("enableLookups", "false")
            connector.setProperty("clientAuth", "want")
            connector.setProperty("sslProtocol", "TLS")
            connector.setProperty("keystoreFile", keystoreFile)
            connector.setProperty("keystoreType", "JKS")
            connector.setProperty("keystorePass", keystorePass)
            connector.setProperty("truststoreFile", truststoreFile)
            connector.setProperty("truststoreType", "JKS")
            connector.setProperty("truststorePass", truststorePass)
            connector.setProperty("SSLVerifyClient", "optional")
            connector.setProperty("SSLVerifyDepth", "2")

            tomcat.service.addConnector connector
        }
}