package gov.va.med.guibeans;


import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

public class GUIAssignedPatient {

    private String id;
    private String outsideProviderId;
    private String name;
    private String siteId;
    private String ien;
    private String consultNo;

    private String consultName;
    private String provider;
    private boolean assigned;

    private Calendar dateFilter;
    private String status;

    private List<Date> usage;

    private String patientToken;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOutsideProviderId() {
        return outsideProviderId;
    }

    public void setOutsideProviderId(String outsideProviderId) {
        this.outsideProviderId = outsideProviderId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getIen() {
        return ien;
    }

    public void setIen(String ien) {
        this.ien = ien;
    }

    public String getConsultNo() {
        return consultNo;
    }

    public void setConsultNo(String consultNo) {
        this.consultNo = consultNo;
    }

    public String getConsultName() {
        return consultName;
    }

    public void setConsultName(String consultName) {
        this.consultName = consultName;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public boolean isAssigned() {
        return assigned;
    }

    public void setAssigned(boolean assigned) {
        this.assigned = assigned;
    }

    public List<Date> getUsage() {

        if (usage == null) {
            usage = new ArrayList<Date>();
        }

        return usage;
    }

    public Calendar getDateFilter() {
        return dateFilter;
    }

    public void setDateFilter(Calendar dateFilter) {
        this.dateFilter = dateFilter;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPatientToken() {
        return patientToken;
    }

    public void setPatientToken(String patientToken) {
        this.patientToken = patientToken;
    }
}
