/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.rpc;

import java.util.ArrayList;

/**
 *
 *
 */
public class DictionaryHashList extends ArrayList<KeyValuePair> {
    /**
     * Class UID.
     */
    private static final long serialVersionUID = -5322722850373374102L;

    public void add(String key, Object value) {
        this.add(new KeyValuePair<String, Object>(key, value));
    }
}
