/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.beans;

//import java.util.Calendar;
import java.util.Date;

/**
 * Created with IntelliJ IDEA.
 * User: DNS   gotom
 * Date: 7/23/13
 * Time: 9:49 AM
 * To change this template use File | Settings | File Templates.
 */
public class AuditEntry {

    private String auditID;
    private Date entryDate;
    private Date startDate;
    private Date endDate;
    private String systemID;
    private String userID;
    private String userNPI;
    private String userName;
    private String patID;
    private String category;
    private String queryType;
    private String cardID;
    private String ipAddress;

    public String getAuditID() {
        return auditID;
    }

    public void setAuditID(String auditID) {
        this.auditID = auditID;
    }

    public Date getEntryDate() {
        Date rtc = null;
        if (entryDate != null) {
            rtc = (Date) entryDate.clone();
        }
        return rtc;
    }

    public void setEntryDate(Date entryDate) {
        if (entryDate == null) {
            this.entryDate = null;
        } else {
            this.entryDate = (Date) entryDate.clone();
        }
    }

    public Date getStartDate() {
        Date rtc = null;
        if (startDate != null) {
            rtc = (Date) startDate.clone();
        }
        return rtc;
    }

    public void setStartDate(Date startDate) {
        if (startDate == null) {
            this.startDate = null;
        } else {
            this.startDate = (Date) startDate.clone();
        }
    }

    public Date getEndDate() {
        Date rtc = null;
        if (endDate != null) {
            rtc = (Date) endDate.clone();
        }
        return rtc;
    }

    public void setEndDate(Date endDate) {
        if (endDate == null) {
            this.endDate = null;
        } else {
            this.endDate = (Date) endDate.clone();
        }
    }

    public String getSystemID() {
        return systemID;
    }

    public void setSystemID(String systemID) {
        this.systemID = systemID;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getUserNPI() {
        return userNPI;
    }

    public void setUserNPI(String userNPI) {
        this.userNPI = userNPI;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPatID() {
        return patID;
    }

    public void setPatID(String patID) {
        this.patID = patID;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getQueryType() {
        return queryType;
    }

    public void setQueryType(String queryType) {
        this.queryType = queryType;
    }

    public String getCardID() {
        return cardID;
    }

    public void setCardID(String cardID) {
        this.cardID = cardID;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }


}
