package gov.va.med.jmeadows.dao.hdd;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "ITEM")
@XmlAccessorType(XmlAccessType.FIELD)
public class CodeMappingItem {
    @XmlElement(name = "SITECODE")
    private String siteCode;
    @XmlElement(name = "SOURCESYSTEM")
    private String sourceSystem;
    @XmlElement(name = "TARGETSYSTEM")
    private String targetSystem;
    @XmlElement(name = "CODE")
    private String code;
    @XmlElement(name = "CUSTOMMAP")
    private String customMap;

    public String getSiteCode() {
        return siteCode;
    }

    public void setSiteCode(String siteCode) {
        this.siteCode = siteCode;
    }

    public String getSourceSystem() {
        return sourceSystem;
    }

    public void setSourceSystem(String sourceSystem) {
        this.sourceSystem = sourceSystem;
    }

    public String getTargetSystem() {
        return targetSystem;
    }

    public void setTargetSystem(String targetSystem) {
        this.targetSystem = targetSystem;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCustomMap() {
        return customMap;
    }

    public void setCustomMap(String customMap) {
        this.customMap = customMap;
    }

    @Override
    public boolean equals(Object aMappingItem) {
        boolean rtc;
        if (aMappingItem instanceof CodeMappingItem) {
            CodeMappingItem mapper = (CodeMappingItem) aMappingItem;
            rtc = this.getSourceSystem().equals(mapper.getSourceSystem())
                    && this.getCustomMap().equals(mapper.getCustomMap())
                    && this.getCode().equals(mapper.getCode());
        } else {
            rtc = false;
        }
        return rtc;
    }
    @Override
    public int hashCode() {
        int hashcode = 0;
        hashcode += this.getCode().hashCode();
        hashcode += this.getCustomMap().hashCode();
        return hashcode;
    }
}
