<%--
  Created by IntelliJ IDEA.
  User: cbruno
  Date: 6/15/15
  Time: 11:17 PM
--%>

<%@ page contentType="text/html;charset=UTF-8" %>
<html xml:lang="en" lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta name="description" content="JLV disclaimer page">
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>


    <title>CV - Accept Agreement</title>

    <asset:stylesheet src="authenticate/style.css"/>

    <style>

    body, html {
        text-align: center;
    }

    #CACAgreement {
        width: 700px;
        box-sizing: border-box;
        margin: 0px auto;
        background: #eee;
        color: #333;
        padding: 30px;
        border: 3px solid #444;
        border-radius: 5px;
        font-size: 14px;
        z-index: 3;
    }

    </style>
</head>

<body>

<asset:image src="CV_Logo.png" id="JLVLogo"
             alt="Community Viewer"></asset:image>

<div id="CACAgreement">

    <div id="AgreementContent">
        <p>YOU ARE ACCESSING A U.S. GOVERNMENT (USG) INFORMATION SYSTEM (IS) THAT IS PROVIDED FOR USG-AUTHORIZED USE ONLY.<br><br>
            By using this IS (which includes any device attached to this IS), you consent to the following conditions:<br>
        <ul id="AgreementList">
            <li>The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), and counterintelligence (CI) investigations.
            <li>At any time, the USG may inspect and seize data stored on this IS.
            <li>Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.
            <li>This IS includes security measures (e.g., authentication and access controls) to protect USG interests--not for your personal benefit or privacy.
            <li>Notwithstanding the above, using this IS does not constitute consent to PM, LE or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential.
        </ul>
    </p>
        <div class="acceptButton">
            <form method="post" action="disclaimer">
                <input type="hidden" name="acceptAgreement" value="true"/>
                <input type="hidden" name="csrf-token" value="${csrfToken}"/>
                <input type="submit" value="I Accept" id="accept" tabindex="0" title="Welcome to the Janus Joint Legacy Viewer Application. Press spacebar to accept this agreement. YOU ARE ACCESSING A U S  GOVERNMENT INFORMATION SYSTEM THAT IS PROVIDED FOR U S  GOVERNMENT AUTHORIZED USE ONLY.

                            By using this INFORMATION SYSTEM (which includes any device attached to this INFORMATION SYSTEM), you consent to the following conditions:

                            The U S  GOVERNMENT routinely intercepts and monitors communications on this INFORMATION SYSTEM for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct, law enforcement, and counterintelligence investigations.

                            At any time, the U S GOVERNMENT may inspect and seize data stored on this INFORMATION SYSTEM.

                            Communications using, or data stored on, this INFORMATION SYSTEM are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any U S  GOVERNMENT authorized purpose.

                            This INFORMATION SYSTEM includes security measures (e.g., authentication and access controls) to protect U S  GOVERNMENT interests not for your personal benefit or privacy.

                            Notwithstanding the above, using this IS does not constitute consent to personnel misconduct, law enforcement, or counterintelligence investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential.  Press Spacebar to accept."/>

            </form>
        </div>

    </div>
</div>

</body>
</html>