<div id="ProviderWidgetMenu" class="jlv-widget-menu">
    <!-- <div class="jlv-widget-menu-header">Provider Widgets</div> -->

    <div class="jlv-widget-menu-body">
        <div>
        <div class="jlv-widget-menu-item" style="display:none;" data-widget-id="prov_lababnormalresults_widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-warning2"></div>
            </div>
            <label>Abnormal Lab Results</label>
        </div>

        <div class="jlv-widget-menu-item" style="display:none;" data-widget-id="prov_admissions_widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-hospital"></div>
            </div>
            <label>Admissions</label>
        </div>

            <div class="jlv-widget-menu-item" style="display:none;" data-widget-id="prov_appointments_widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-calendar2"></div>
            </div>
            <label>Appointments</label>
        </div>

        <div class="jlv-widget-menu-item" style="display:none;" data-widget-id="prov_consultsrequested_widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-doctor"></div>
            </div>
            <label>Consults Requested</label>
        </div>

        <div class="jlv-widget-menu-item" style="display:none;" data-widget-id="prov_orderspending_widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-mednotes"></div>
            </div>
            <label>Orders Pending</label>
        </div>

        <div class="jlv-widget-menu-item" style="display:none;" data-widget-id="prov_ordersresulted_widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-positive-note"></div>
            </div>
            <label>Orders Resulted</label>
        </div>

        <g:if test="${outsideProviderFlag == true}">
            <div class="jlv-widget-menu-item" data-widget-id="prov_outside_pat_list">
                <div class="jlv-widget-menu-item-icon">
                    <div class="icon-med-note"></div>
                </div>
                <label>Assigned<br/>Patients</label>
            </div>
        </g:if>

        <g:if test="${outsideProviderFlag == false /*&& jamWidgetAccessFlag == true*/}">
            <div class="jlv-widget-menu-item" data-widget-id="prov_jam_widget">
                <div class="jlv-widget-menu-item-icon">
                    <div class="icon-med-note"></div>
                </div>
                <label>Community Care<br/>Provider<br/>Management</label>
            </div>
        </g:if>

        <div class="jlv-widget-menu-item" data-widget-id="prov_references_widget"
                 aria-label="References Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-book2"></div>
            </div>
            <label>References</label>
        </div>

        <div class="jlv-widget-menu-item" style="display:none;" data-widget-id="prov_unsignednotes_widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-pencil3"></div>
            </div>
            <label>Unsigned Notes</label>
        </div>
    </div>
    </div>

</div>


<div id="PatientWidgetMenu" class="jlv-widget-menu">
    <!--<div class="jlv-widget-menu-header">Patient Widgets</div> -->

    <div class="jlv-widget-menu-body">
        <div>
            <div class="jlv-widget-menu-item" data-widget-id="admissions_widget"
                 aria-label="Admissions Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-hospital-o"></div>
            </div>
            <label>Admissions</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="allergies_widget"
                 aria-label="Allergies Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-blocked"></div>
            </div>
            <label>Allergies</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="appointments_widget"
                 aria-label="Appointments Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-calendar2"></div>
            </div>
            <label>Appointments</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="clinicalreminders_widget"
                 aria-label="Clinical Reminders Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-notification"></div>
            </div>
            <label>Clinical Reminders</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="vler_widget"
                 aria-label="Community Health Summaries Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-list-alt"></div>
            </div>
            <label>Community Health Summaries - VA</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="vler_dod_widget"
                 aria-label="Community Health Summaries Widget">
                <div class="jlv-widget-menu-item-icon">
                    <div class="icon-list-alt"></div>
                </div>
                <label>Community Health Summaries (DoD)</label>
            </div>


            <div class="jlv-widget-menu-item" data-widget-id="consults_widget"
                 aria-label="Consults Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-med-md"></div>
            </div>
            <label>Consults</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="inpatientnotes_widget"
                 aria-label="Discharge/Essentris Notes Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-notebook"></div>
            </div>
            <label>Discharge/Essentris Notes</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="encounters_widget"
                 aria-label="Encounters Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-user3"></div>
            </div>
            <label>Encounters</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="immunizations_widget"
                 aria-label="Immunizations Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-med-shot"></div>
            </div>
            <label>Immunizations</label>
        </div>


            <div class="jlv-widget-menu-item" data-widget-id="labs_widget"
                 aria-label="Lab Orders Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-lab"></div>
            </div>
            <label>Lab Orders / <br/> Panel Results</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="labs_results_widget"
                 aria-label="Lab Results Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-med-note"></div>
            </div>
            <label>Lab Results</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="inpatientmedications_widget"
                 aria-label="Inpatient Medications Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-med-drugs"></div>
            </div>
            <label>Inpatient Medications</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="outpatientmedications_widget"
                 aria-label="Outpatient Medications Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-med-drugs"></div>
            </div>
            <label>Outpatient Medications</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="orders_widget"
                 aria-label="Orders Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-bubble"></div>
            </div>
            <label>Orders</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="problemlist_widget"
                 aria-label="Problem List Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-warning"></div>
            </div>
            <label>Problem List</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="procedures_widget"
                 aria-label="Procedures Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-medkit"></div>
            </div>
            <label>Procedures</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="outpatientnotes_widget"
                 aria-label="Progress Notes Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-med-notes"></div>
            </div>
            <label>Progress Notes</label>
        </div>


            <div class="jlv-widget-menu-item" data-widget-id="questionnaires_widget"
                 aria-label="Questionnaires Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-medkit"></div>
            </div>
            <label>Questionnaires and Deployment Forms</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="radiologyexams_widget"
                 aria-label="Radiology Exams Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-med-xrays"></div>
            </div>
            <label>Radiology Exams</label>
        </div>


            <div class="jlv-widget-menu-item" data-widget-id="histories_widget"
                 aria-label="Social, Family, and Other Histories Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-sitemap"></div>
            </div>
            <label>Social, Family, and Other Histories</label>
        </div>

            <div class="jlv-widget-menu-item" data-widget-id="vitals_widget"
                 aria-label="Vitals Widget">
            <div class="jlv-widget-menu-item-icon">
                <div class="icon-med-vital"></div>
            </div>
            <label>Vitals</label>
        </div>

        </div>
    </div>
</div>

