/*
 * Janus 4.0 (c)
 * Copyright (c) 2012 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.ehr.common.domain;


import java.util.Calendar;

/**
 * Generic form option domain object.
 */
public class FormOption {
    /** Form option identifier. **/
    private String optionId;

    /** Form option name. **/
    private String optionName;

    /** Form option short name. **/
    private String optionShortName;

    /** Form Option datetime. **/
    private Calendar optionDateTime;

    public String getOptionId() {
        return optionId;
    }

    public void setOptionId(String optionId) {
        this.optionId = optionId;
    }

    public String getOptionName() {
        return optionName;
    }

    public void setOptionName(String optionName) {
        this.optionName = optionName;
    }

    public String getOptionShortName() {
        return optionShortName;
    }

    public void setOptionShortName(String optionShortName) {
        this.optionShortName = optionShortName;
    }

    public Calendar getOptionDateTime() {
        return optionDateTime;
    }

    public void setOptionDateTime(Calendar optionDateTime) {
        this.optionDateTime = optionDateTime;
    }
}
