/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import java.util.List;

public class QuestionnaireDetails {
    private List<QuestionnaireDetailAnswers> answers;
    private List<QuestionnaireDetailChoices> choices;
    private List<QuestionnaireDetailComments> comments;
    private String question;
    private String sequence;
    /**
     * @return the answers
     */
    public List<QuestionnaireDetailAnswers> getAnswers() {
        return answers;
    }
    /**
     * @param answers the answers to set
     */
    public void setAnswers(List<QuestionnaireDetailAnswers> answers) {
        this.answers = answers;
    }
    /**
     * @return the choices
     */
    public List<QuestionnaireDetailChoices> getChoices() {
        return choices;
    }
    /**
     * @param choices the choices to set
     */
    public void setChoices(List<QuestionnaireDetailChoices> choices) {
        this.choices = choices;
    }
    /**
     * @return the comments
     */
    public List<QuestionnaireDetailComments> getComments() {
        return comments;
    }
    /**
     * @param comments the comments to set
     */
    public void setComments(List<QuestionnaireDetailComments> comments) {
        this.comments = comments;
    }
    /**
     * @return the question
     */
    public String getQuestion() {
        return question;
    }
    /**
     * @param question the question to set
     */
    public void setQuestion(String question) {
        this.question = question;
    }
    /**
     * @return the sequence
     */
    public String getSequence() {
        return sequence;
    }
    /**
     * @param sequence the sequence to set
     */
    public void setSequence(String sequence) {
        this.sequence = sequence;
    }
}
