/*
 * Janus 4.0 (c)
 * Copyright (c) 2012 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.beans;

import java.io.Serializable;

/**
 * Created with IntelliJ IDEA.
 * User: DNS   ishihj
 * Date: 9/7/12
 * Time: 10:34 AM
 * To change this template use File | Settings | File Templates.
 */
public class IehrUserProfile implements Serializable {
    /**
     * Class UID.
     */
    private static final long serialVersionUID = -3708821996323589347L;
    
    private String  locID;
    private String  dbUserID;
    private String  cfg;
    private String  flags;
    private String  smartCardID;
    private String  smartCardAgency;
    private String  emailAddress;
    private String  subjectDN;

    public String getLocID() {
        return locID;
    }

    public void setLocID(String locID) {
        this.locID = locID;
    }

    public String getSubjectDN() {
        return subjectDN;
    }

    public void setSubjectDN(String subjectDN) {
        this.subjectDN = subjectDN;
    }

    public String getDbUserID() {
        return dbUserID;
    }

    public void setDbUserID(String dbUserID) {
        this.dbUserID = dbUserID;
    }

    public String getCfg() {
        return cfg;
    }

    public void setCfg(String cfg) {
        this.cfg = cfg;
    }

    public String getFlags() {
        return flags;
    }

    public void setFlags(String flags) {
        this.flags = flags;
    }

    public String getSmartCardID() {
        return smartCardID;
    }

    public void setSmartCardID(String smartCardID) {
        this.smartCardID = smartCardID;
    }

    public String getSmartCardAgency() {
        return smartCardAgency;
    }

    public void setSmartCardAgency(String smartCardAgency) {
        this.smartCardAgency = smartCardAgency;
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }
}
