package gov.va.med.jmeadows.dao.util;

import gov.va.med.jmeadows.dataservicehandler.DataServiceHandler;

public class MultiLocQueryCfgBuilder {
    protected DataServiceHandler dataServiceHandler;
    protected String dataServiceMethod;
    protected Object[] dataServiceMethodArgs;
    protected boolean resultRequiresBeanMapping;
    protected String smartBeanMappingMethod;
    protected String connectionErrorMsg;
    protected boolean isSingleResultExpected;
    /**
     * @return the dataServiceHandler
     */
    public DataServiceHandler getDataServiceHandler() {
        return dataServiceHandler;
    }
    /**
     * @param dataServiceHandler the dataServiceHandler to set
     */
    public void setDataServiceHandler(DataServiceHandler dataServiceHandler) {
        this.dataServiceHandler = dataServiceHandler;
    }
    /**
     * @return the dataServiceMethod
     */
    public String getDataServiceMethod() {
        return dataServiceMethod;
    }
    /**
     * @param dataServiceMethod the dataServiceMethod to set
     */
    public void setDataServiceMethod(String dataServiceMethod) {
        this.dataServiceMethod = dataServiceMethod;
    }
    /**
     * @return the dataServiceMethodArgs
     */
    public Object[] getDataServiceMethodArgs() {
        return (dataServiceMethodArgs != null) ? dataServiceMethodArgs.clone() : null;
    }
    /**
     * @param dataServiceMethodArgs the dataServiceMethodArgs to set
     */
    public void setDataServiceMethodArgs(Object[] dataServiceMethodArgs) {
        this.dataServiceMethodArgs = (dataServiceMethodArgs != null) ? dataServiceMethodArgs.clone() : null;
    }
    /**
     * @return the resultRequiresBeanMapping
     */
    public boolean isResultRequiresBeanMapping() {
        return resultRequiresBeanMapping;
    }
    /**
     * @param resultRequiresBeanMapping the resultRequiresBeanMapping to set
     */
    public void setResultRequiresBeanMapping(boolean resultRequiresBeanMapping) {
        this.resultRequiresBeanMapping = resultRequiresBeanMapping;
    }
    /**
     * @return the smartBeanMappingMethod
     */
    public String getSmartBeanMappingMethod() {
        return smartBeanMappingMethod;
    }
    /**
     * @param smartBeanMappingMethod the smartBeanMappingMethod to set
     */
    public void setSmartBeanMappingMethod(String smartBeanMappingMethod) {
        this.smartBeanMappingMethod = smartBeanMappingMethod;
    }
    /**
     * @return the connectionErrorMsg
     */
    public String getConnectionErrorMsg() {
        return connectionErrorMsg;
    }
    /**
     * @param connectionErrorMsg the connectionErrorMsg to set
     */
    public void setConnectionErrorMsg(String connectionErrorMsg) {
        this.connectionErrorMsg = connectionErrorMsg;
    }
    /**
     * @return the isSingleResultExpected
     */
    public boolean isSingleResultExpected() {
        return isSingleResultExpected;
    }
    /**
     * @param isSingleResultExpected the isSingleResultExpected to set
     */
    public void setSingleResultExpected(boolean isSingleResultExpected) {
        this.isSingleResultExpected = isSingleResultExpected;
    }

}
