/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.util;

public class PatientMultiLocationQueryConfig extends MultiLocationQueryConfig {

    public PatientMultiLocationQueryConfig(PatientMultiLocQueryCfgBuilder builder) {
        super(builder);
        this.location = builder._location;
    }


    public PatientLocation getLocation() {
        PatientLocation rtc = new PatientLocation();
        if (location instanceof PatientLocation) {
            rtc = (PatientLocation) location;
        }
        return rtc;
    }

    public void setLocation(PatientLocation location) {
        this.location = location;
    }
}
